﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Data;

namespace SfGrid
{
    public class ForegroundConverter : IValueConverter
    {
        object IValueConverter.Convert(object value, Type targetType, object parameter, string language)
        {
            var visiblity = value as Visibility?;
            if (visiblity != null && visiblity == Visibility.Visible)
                return @"#FFFF004B";
            else if (visiblity != null)
                return @"#FF000000";
            else
                return null;
        }

        object IValueConverter.ConvertBack(object value, Type targetType, object parameter, string language)
        {
            throw new NotImplementedException();
        }
    }
}
